### Constructor

# PangoXft Renderer new

since: 1.8

#### Declaration [src]

    PangoRenderer*
    pango_xft_renderer_new (
      Display* display,
      int screen
    )

#### Description [src]

Create a new `PangoXftRenderer` to allow rendering Pango objects with the Xft library.

You must call `pango_xft_renderer_set_draw()` before using the renderer.

Available since: 1.8

#### Parameters

`display`

  Type: `Display`

  An X display.

  The data is owned by the caller of the function.

`screen`

  Type: `int`

  The index of the screen for `display` to which rendering will be done.

#### Return value

Type: `PangoRenderer`

The newly created `PangoXftRenderer`.

The caller of the function takes ownership of the data, and is responsible for freeing it.